Bug 668876 - if stop_seed_ratio < .5, opening the gui preference menu automatically resets the value to .5
Summary: if stop_seed_ratio < .5, opening the gui preference menu automatically resets...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 22:01 UTC by Matt Kinni
Modified: 2011-03-25 19:23 UTC (History)
2 users (show)

Fixed In Version: deluge-1.3.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-25 19:23:36 UTC


Attachments (Terms of Use)

Description Matt Kinni 2011-01-11 22:01:10 UTC
Description of problem:

It is impossible to set the stop_seed_ratio less than .5 from the gui preferences menu (which itself is a bug), but you can do it from the console.  However, when you open up the preferences menu,regardless if you make any changes and regardless of what tabs you look at, clicking OK always resets your stop seed ratio back to the default .5 value

Version-Release number of selected component (if applicable):
deluge-1.3.0-1.fc14.noarch


How reproducible:
always

Steps to Reproduce:
1. connect to deluge in console mode, issue command "config -s stop_seed_ratio 0.4"
2. open gui deluge, click on the wrench launch the preferences menu
3. click ok
  
Actual results:
The console will show "* ConfigValueChanged: stop_seed_ratio: 0.5"
It is /impossible/ to open the preference menu and not have it overwrite your setting if it's below .5

Expected results:
Does not override the stop_seed_ratio as set from the console

Additional info:
In a preemptive response against the impending "but why would you want to set a stop seed ratio so low? you should be happy to seed back to the community", it's still a gui bug despite any philosophical concerns on the merits of setting a low stop ratio.  If the console can get the limit at 0.0, the gui shouldn't overwrite it

Comment 1 Fedora Admin XMLRPC Client 2011-03-16 08:14:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2011-03-16 18:57:33 UTC
deluge-1.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/deluge-1.3.1-2.fc14

Comment 3 Fedora Update System 2011-03-25 19:23:02 UTC
deluge-1.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.